Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.registration.impl
Class RegistrationImpl

    java.lang.Object
      org.jboss.portal.registration.impl.RegistrationImpl

All Implemented Interfaces:
  Registration

    public class RegistrationImpl

extends java.lang.Object
implements Registration

Since:
  2.6
Version:
  $Revision: 8784 $
Author:
  Chris Laprun

Constructor Summary
`RegistrationImpl(java.lang.String id, ConsumerImpl consumer, RegistrationStatus status, java.util.Map properties)`

Method Summary
`void` | `clearAssociatedState()` Clears any state (cloned portlet information, session, etc) associated with this Registration
`Consumer` | `getConsumer()` Return the consumer owning this registration.
`java.lang.String` | `getId()` Retrieves the internal identifier for this Registration.
`java.util.Map` | `getProperties()` Retrieve the properties associated with this Registration.
`java.lang.Object` | `getPropertyValueFor(javax.xml.namespace.QName propertyName)`
`java.lang.Object` | `getPropertyValueFor(java.lang.String propertyName)`
`java.lang.String` | `getRegistrationHandle()` Retrieves the handle associated with this Registration
`RegistrationStatus` | `getStatus()` Return the status of this specific registration.
`boolean` | `hasEqualProperties(java.util.Map registrationProperties)`
`boolean` | `hasEqualProperties(Registration registration)`
`void` | `removeProperty(javax.xml.namespace.QName propertyName)`
`void` | `removeProperty(java.lang.String propertyName)`
`void` | `setPropertyValueFor(javax.xml.namespace.QName propertyName, java.lang.Object value)`
`void` | `setPropertyValueFor(java.lang.String propertyName, java.lang.Object value)`
`void` | `setRegistrationHandle(java.lang.String handle)` Sets the handle for this Registration.
`void` | `setRegistrationPropertyValueFor(java.lang.String propertyName, java.lang.Object value)`
`void` | `setStatus(RegistrationStatus status)` Update the registration status
`void` | `updateProperties(java.util.Map registrationProperties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegistrationImpl

    public RegistrationImpl(java.lang.String id,
                            ConsumerImpl consumer,
                            RegistrationStatus status,
                            java.util.Map properties)

Method Detail

### getId

    public java.lang.String getId()

  Description copied from interface: `Registration`
  Retrieves the internal identifier for this Registration. This will correspond to the database key for this Registration. This identifier can be used by `RegistrationPolicy` to create a handle for this Registration.

  Specified by:
    `getId` in interface `Registration`
  Returns:
    this Registration's internal identifier.

### setRegistrationHandle

    public void setRegistrationHandle(java.lang.String handle)

  Description copied from interface: `Registration`
  Sets the handle for this Registration.

  Specified by:
    `setRegistrationHandle` in interface `Registration`

### getRegistrationHandle

    public java.lang.String getRegistrationHandle()

  Description copied from interface: `Registration`
  Retrieves the handle associated with this Registration

  Specified by:
    `getRegistrationHandle` in interface `Registration`
  Returns:
    the registration handle

### getConsumer

    public Consumer getConsumer()

  Description copied from interface: `Registration`
  Return the consumer owning this registration.

  Specified by:
    `getConsumer` in interface `Registration`
  Returns:
    the owning consumer

### getProperties

    public java.util.Map getProperties()

  Description copied from interface: `Registration`
  Retrieve the properties associated with this Registration.

  Specified by:
    `getProperties` in interface `Registration`
  Returns:
    a Map containing the associated properties

### setPropertyValueFor

    public void setPropertyValueFor(javax.xml.namespace.QName propertyName,
                                    java.lang.Object value)

  Specified by:
    `setPropertyValueFor` in interface `Registration`

### setPropertyValueFor

    public void setPropertyValueFor(java.lang.String propertyName,
                                    java.lang.Object value)

  Specified by:
    `setPropertyValueFor` in interface `Registration`

### getPropertyValueFor

    public java.lang.Object getPropertyValueFor(javax.xml.namespace.QName propertyName)

  Specified by:
    `getPropertyValueFor` in interface `Registration`

### getPropertyValueFor

    public java.lang.Object getPropertyValueFor(java.lang.String propertyName)

  Specified by:
    `getPropertyValueFor` in interface `Registration`

### removeProperty

    public void removeProperty(javax.xml.namespace.QName propertyName)

  Specified by:
    `removeProperty` in interface `Registration`

### removeProperty

    public void removeProperty(java.lang.String propertyName)

  Specified by:
    `removeProperty` in interface `Registration`

### hasEqualProperties

    public boolean hasEqualProperties(Registration registration)

  Specified by:
    `hasEqualProperties` in interface `Registration`

### hasEqualProperties

    public boolean hasEqualProperties(java.util.Map registrationProperties)

  Specified by:
    `hasEqualProperties` in interface `Registration`

### setRegistrationPropertyValueFor

    public void setRegistrationPropertyValueFor(java.lang.String propertyName,
                                                java.lang.Object value)

### getStatus

    public RegistrationStatus getStatus()

  Description copied from interface: `Registration`
  Return the status of this specific registration.

  Specified by:
    `getStatus` in interface `Registration`
  Returns:
    the status

### setStatus

    public void setStatus(RegistrationStatus status)

  Description copied from interface: `Registration`
  Update the registration status

  Specified by:
    `setStatus` in interface `Registration`
  Parameters:
    `status` - the new status

### clearAssociatedState

    public void clearAssociatedState()

  Description copied from interface: `Registration`
  Clears any state (cloned portlet information, session, etc) associated with this Registration

  Specified by:
    `clearAssociatedState` in interface `Registration`

### updateProperties

    public void updateProperties(java.util.Map registrationProperties)

  Specified by:
    `updateProperties` in interface `Registration`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD